Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001262 [1003.1(2016)/Issue7+TC2] Shell and Utilities Objection Error 2019-06-15 08:51 2019-07-29 15:13
Reporter stephane View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Stephane Chazelas
Organization
User Reference 0000941
Section locale utility
Page Number 2907
Line Number 96034 (in the 2018 edition)
Interp Status ---
Final Accepted Text Note: 0004499
Summary 0001262: 0000941 fix incorrectly applied
Description Copied from Note: 0004424 of 0000941:

Looking at the 2018 edition line 96034, it seems the fix for [0000941] has not been applied properly. It reads:

grep -- -Eq "$(locale yesexpr)"

Instead of:

grep -Eq -- "$(locale yesexpr)"

(or grep -Eqe "$(locale yesexpr)")
Desired Action Change to:

grep -Eq -- "$(locale yesexpr)"

as per 0000941 resolution. Alternative: grep -Eqe "$(locale yesexpr)"

While you're at it, you should change the:

read response

to

IFS= read -r response

as it's bad practice to leave the behaviour of read dependant on the current value of $IFS (and even assuming the default value of $IFS, I'm not sure why we'd want to strip lead and trailing SPC and TAB characters), and I can't see why we'd want the special processing of backslash which the absence of -r implies
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004499)
geoffclare (manager)
2019-07-29 15:12

Change:
read response
if printf "%s\n" "$response" | grep -- -Eq "$(locale yesexpr)"

to:
IFS= read -r response
if printf "%s\n" "$response" | grep -Eq -- "$(locale yesexpr)"

- Issue History
Date Modified Username Field Change
2019-06-15 08:51 stephane New Issue
2019-06-15 08:51 stephane Name => Stephane Chazelas
2019-06-15 08:51 stephane User Reference => 0000941
2019-06-15 08:51 stephane Section => locale utility
2019-06-15 08:51 stephane Line Number => 96034 (in the 2018 edition)
2019-06-24 17:53 Don Cragun Page Number => 2907
2019-06-24 17:53 Don Cragun Interp Status => ---
2019-07-29 15:12 geoffclare Note Added: 0004499
2019-07-29 15:13 geoffclare Final Accepted Text => Note: 0004499
2019-07-29 15:13 geoffclare Status New => Resolved
2019-07-29 15:13 geoffclare Resolution Open => Accepted As Marked
2019-07-29 15:13 geoffclare Tag Attached: tc3-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker